com.io7m.r2.core

## Interface R2InstanceBatchedDynamicType

- All Superinterfaces:
    com.io7m.jcanephora.core.JCGLResourceUsableType, R2DeletableType, R2InstanceBatchedType, R2InstanceType
  All Known Implementing Classes:
    R2InstanceBatchedDynamic

      public interface R2InstanceBatchedDynamicType
      extends R2InstanceBatchedType, R2DeletableType

  The type of batched instances that are expected to change often, both in the number of instances, and the transforms of individual instances.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `disableAll()` Disable rendering of all instances
    `void` | `disableInstance(int id)` Disable rendering of the given instance.
    `int` | `enabledCount()`
    `int` | `enableInstance(R2TransformOrthogonalReadableType t)` Enable rendering of an instance with transform `t`
    `int` | `maximumSize()`

    - ### Methods inherited from interface com.io7m.r2.core.R2InstanceBatchedType

      `arrayObject, renderCount, update`

    - ### Methods inherited from interface com.io7m.r2.core.R2InstanceType

      `instanceID`

    - ### Methods inherited from interface com.io7m.r2.core.R2DeletableType

      `delete`

    - ### Methods inherited from interface com.io7m.jcanephora.core.JCGLResourceUsableType

      `isDeleted`

- - ### Method Detail

    - #### maximumSize

          int maximumSize()

      Returns:
        The maximum number of instances that can be placed into the batch

    - #### enabledCount

          int enabledCount()

      Returns:
        The current number of enabled instances in the batch

    - #### disableAll

          void disableAll()

      Disable rendering of all instances

    - #### enableInstance

          int enableInstance(R2TransformOrthogonalReadableType t)
                      throws R2ExceptionBatchIsFull

      Enable rendering of an instance with transform `t`
      Parameters:
        `t` - The transform for the instance
      Returns:
        The index of the enabled instance
      Throws:
        `R2ExceptionBatchIsFull` - If the batch cannot accept any more instances

    - #### disableInstance

          void disableInstance(int id)

      Disable rendering of the given instance.
      Parameters:
        `id` - The index of the instance

Copyright © 2016 <code@io7m.com> http://io7m.com